# Test Environment Notifications

A Test Environment Notification is an automated email dispatched to inform stakeholders when a Test Environment Job is completed or cancelled.

 - [POST /test-environments/{id}/notifications](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/createtestenvironmentnotification.md): Use this operation to create a new notification for a specific Test Environment. It handles HTTP POST requests to the /test-environments/{id}/notifications endpoint, accepting a TestEnvironmentNotific
 - [GET /test-environments/{id}/notifications](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/getallemailnotificationoftestenv.md): Use this operation to retrieve all notifications associated with a specific Test Environment. It handles HTTP GET requests to the /test-environments/{id}/notifications endpoint and returns an ArrayRes
 - [GET /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/gettestenvironmentnotification.md): Use this operation to retrieve a specific notification associated with a Test Environment by its unique notification ID. It handles HTTP GET requests to the /test-environments/{id}/notifications/{noti
 - [PATCH /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/updatetestenvironmentnotification.md): Use this operation to update an existing notification for a specific Test Environment. It handles HTTP PATCH requests to the /test-environments/{id}/notifications/{notificationId} endpoint, accepting
 - [DELETE /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/deletetestenvironmentnotification.md): Use this operation to delete a specific notification associated with a Test Environment. It handles HTTP DELETE requests to the /test-environments/{id}/notifications/{notificationId} endpoint and retu
